## libgksu 2.0.13~pre1-7linuxmint1

=== Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libgksu
pkgincludedir = $(includedir)/libgksu
pkglibdir = $(libdir)/libgksu
pkglibexecdir = $(libexecdir)/libgksu
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.h.in mkinstalldirs $(dist_pixmap_DATA) \
	ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL compile \
	config.guess config.rpath config.sub depcomp install-sh \
	missing ltmain.sh
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pixmapdir)" "$(DESTDIR)$(schemasdir)"
DATA = $(dist_pixmap_DATA) $(schemas_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/clem/Sandbox/libgksu-2.0.13~pre1/missing aclocal-1.14
ALL_LINGUAS = ca cs da de es eu fr hu it ko lt pl pt_BR ro ru sk sv nb nl th zh_CN
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/clem/Sandbox/libgksu-2.0.13~pre1/missing autoconf
AUTOHEADER = ${SHELL} /home/clem/Sandbox/libgksu-2.0.13~pre1/missing autoheader
AUTOMAKE = automake --foreign
AWK = gawk
CATALOGS =  ca.gmo cs.gmo da.gmo de.gmo es.gmo eu.gmo fr.gmo hu.gmo it.gmo ko.gmo lt.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo nb.gmo nl.gmo th.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall
CPP = gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCONFTOOL = /usr/bin/gconftool-2
GCONF_SCHEMA_CONFIG_SOURCE = xml:merged:/etc/gconf/gconf.xml.defaults
GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas
GETTEXT_PACKAGE = libgksu
GKSU_PROPERTIES_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  
GKSU_PROPERTIES_LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lgconf-2 -lglib-2.0  
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GMOFILES =  ca.gmo cs.gmo da.gmo de.gmo es.gmo eu.gmo fr.gmo hu.gmo it.gmo ko.gmo lt.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo nb.gmo nl.gmo th.gmo zh_CN.gmo
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
GTK_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -Wl,-Bsymbolic-functions -Wl,-z,relro

## libgksu 2.0.13~pre1

=== debian/changelog ===
libgksu (2.0.13~pre1-8) unstable; urgency=medium

  * Adding myself to uploaders
  * Convert packaging to Debhelper
  * Build-depend on dh-autoreconf
  * Regenerate makefile structure (Closes: #749167, #757782)
  * Drop (build-)dependency on cdbs and xbase-clients to keep lintian happy
  * Use canonical VCS URLs to keep Lintian happy

  [Cody Russell]
  * Fix crash with RGBA colormap (Closes: #561379)

  [Hideki Yamane]
  * Add Japanese translation (Closes: #503461)

  [Roland Clobus]
  * Fix unguarded variable (Closes: #537718)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 06 Sep 2014 19:30:49 +0200

libgksu (2.0.13~pre1-7) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_makefile_spaces.patch:
    + New patch, fix build with make 4.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 03 May 2014 12:00:56 +0200

libgksu (2.0.13~pre1-6) unstable; urgency=low

  * debian/control.in: Fix Vcs-* URL.
  * debian/patches/02_format-security.patch: The previous fix exposed a logic
    flaw which caused a NULL pointer crash if calling sudo was successful. Fix
    this. (LP: #898874)

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Dec 2011 11:06:46 +0100

libgksu (2.0.13~pre1-5) unstable; urgency=low

  * Switch to dpkg source format 3.0 (quilt).
  * debian/control.in:
    - Wrap dependencies.
    - Remove obsolete versioned Build-Depends on dpkg-dev.
    - Add ${misc:Depends} to libgksu2-dev.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Remove obsolete Conflicts/Replaces.
  * debian/patches/02_format-security.patch:
    - Fix build failure with [-Werror=format-security]. Closes: #643423
  * debian/patches/28_ld_no_as_needed.patch:
    - Fix build failures with binutils-gold. Thanks Matthias Klose for the
      patch. Closes: #555180
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files and simplify them a bit.

 -- Michael Biebl <biebl@debian.org>  Mon, 24 Oct 2011 02:43:21 +0200

libgksu (2.0.13~pre1-4) unstable; urgency=low

  * ru.po: updated Russian translation by Alexander Sashanov.
    Closes: #609130, #609141.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Jan 2011 20:59:03 +0100

libgksu (2.0.13~pre1-3) unstable; urgency=low

  * pt_BR.po: updated Brazilian Portuguese translation by Sérgio 
    Cipolla. Closes: #601168.
  * 01_tcdrain_kfreebsd.patch: patch from Petr Salinger. Don’t use 
    tcdrain on kfreebsd. Closes: #600365.

 -- Josselin Mouette <joss@debian.org>  Sun, 21 Nov 2010 11:21:42 +0100

libgksu (2.0.13~pre1-2) unstable; urgency=low

  * 99_intltool.patch: update po/Makefile.in.in with a working intltool 
    version. Closes: #599420.
  * Build-depend on intltool since it’s how it works nowadays.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Oct 2010 23:15:55 +0200

libgksu (2.0.13~pre1-1) unstable; urgency=low

  * Upstream snapshot
  - tries to address the forkpty problem, by basically turning it into a
    configure option; this should enable usage in Fedora/RedHat, while
    still working good in Debian/Ubuntu (Closes: #540176, #535544)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 29 Jun 2009 16:42:59 -0300

libgksu (2.0.12-1) unstable; urgency=low

  * New upstream release
  - includes fix for double free (Closes: #534844)
  * debian/control.in:
  - patch by seb128 to replace dependency on libglade with gtk+ > 2.12
    (which has GtkBuilder)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 29 Jun 2009 15:16:14 -0300

libgksu (2.0.11-1) unstable; urgency=low

  * New upstream release
  - should work with sudo when requiretty is on (Closes: #531477)
  * debian/libgksu2-0.instal:
  - make sure to install the gksu-properties manpage (Closes: #497591)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 24 Jun 2009 16:04:06 -0300

libgksu (2.0.10-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Wrap build-depends.
  * Build-depend on libglib2.0-doc to ensure proper xrefs.

  [ Gustavo Noronha Silva ]
  * New upstream release.
  - adds manpage for gksu-properties (Closes: #497591)
  - fixes the off-by-one error and use of uninitialized memory
    (Closes: #525876)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 09 May 2009 23:11:43 -0300

libgksu (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 04 Mar 2009 16:12:35 -0300

libgksu (2.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control.in:
  - added Homepage and Vcs-* headers

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 22 Feb 2009 18:38:51 -0300

libgksu (2.0.7-1) unstable; urgency=low

  * New upstream release
  - includes fix for early return of gksu_sudo_full; patch by Ben
    Hutchings <ben@decadent.org.uk>, thanks! (Closes: #463709)
  * debian/patches/01_force_using_version_script.diff:
  - detection for the -version-script option was fixed upstream, so
    this patch is being removed
  * debian/libgksu2-dev.links:
  - fixed name of the symbolic link that is created at
    /usr/share/gtk-doc/html, so that devhelp will actually find its
    control file
  * debian/pos/{it,ko}.po:
  - removed; they were actually already updated on version 2.0.6, so no
    need to replace them here
  * debian/copyright:
  - enhanced copyright notice to make lintian happy

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 27 May 2008 21:36:01 -0300

libgksu (2.0.6-1) unstable; urgency=low

  * New upstream release
  - fixes user and command order on the message that is displayed when a
    user other than root is targeted (Closes: #449180)
  - adds a way to always ask for password (Closes: #453423)
  - fixes capslock notification (Closes: #453426)
  * debian/control:
  - updated standards version to 3.7.3
  * debian/patches/01_force_using_version_script.diff:
  - this releases' build system is broken, and won't use the version script
    if we do not force it


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libgksu
Section: admin
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               libgtk2.0-dev (>= 2.12),
               libgconf2-dev,
               libstartup-notification0-dev,
               libgnome-keyring-dev,
               gettext,
               autotools-dev,
               gtk-doc-tools,
               gnome-pkg-tools (>= 0.10),
               libgtop2-dev,
               libglib2.0-doc,
               intltool
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/gksu
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/attic/libgksu/
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/attic/libgksu/

Package: libgksu2-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         xauth
Recommends: sudo
Description: library providing su and sudo functionality
 This library comes from the gksu program. It provides a simple
 API to use su and sudo in programs that need to execute tasks
 as other user. It provides X authentication facilities for running
 programs in an X session.

Package: libgksu2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev,
         libgksu2-0 (= ${binary:Version}),
         libgnome-keyring-dev,
         libgconf2-dev,
         libstartup-notification0-dev
Description: library providing su and sudo functionality (development files)
 This library comes from the gksu program. It provides a simple
 API to use su and sudo in programs that need to execute tasks
 as other user. It provides X authentication facilities for running
 programs in an X session.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --enable-gnome-keyring
#DEB_CONFIGURE_LIBEXECDIR = "\$${prefix}/lib"

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	touch NEWS README
	dh_autoreconf

override_dh_auto_build:
	cp debian/pos/*.po po/
	dh_auto_build

## libgksu 2.0.13~pre1-7linuxmint1

=== debian/changelog ===
libgksu (2.0.13~pre1-7linuxmint1) qiana; urgency=medium

  * Removed fade animation

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 May 2014 09:50:10 +0100

libgksu (2.0.13~pre1-6ubuntu4) trusty; urgency=medium

  * Use dh-autoreconf to update libtool macros for new ports.  This requires
    fixing various errors from current automake.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Jan 2014 11:59:24 +0000

libgksu (2.0.13~pre1-6ubuntu3) saucy; urgency=low

  * debian/libgksu2-0.postinst: Remove call to update-gconf-defaults and use
    dpkg-trigger to set sudo-mode (LP: #1173013)

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Aug 2013 14:20:16 -0700

libgksu (2.0.13~pre1-6ubuntu2) raring; urgency=low

  * debian/patches/28_ld_no_as_needed.patch: updated to list -lm, needed by 
    21_composited_rgba_addition.patch (Ubuntu specific)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Apr 2013 15:18:48 +0200

libgksu (2.0.13~pre1-6ubuntu1) raring; urgency=low

  * Merge with Debian; remaining Ubuntu changes:
    - debian/libgksu2-0.postinst:
      + make sudo the default
    - 09_multihead.patch:
      + dim all heads
    - 11_no_save_to_keyring.patch
      + don't save to gnome-keyring by default (Ubuntu-specific)
    - 12_no_password_dialog.patch
      + don't display dialog if no password was needed (Ubuntu-specific)
    - 13_startup_notification.diff
      + make startup-notification work more reliable
    - 14_polish_startup.diff:
      + improve startup notification message (sent upstream)
    - 15_extra_paranoia_for_gconf.diff.patch
      + if no value for sudo-mode is found in gconf, default to sudo-mode
        (Ubuntu-specific)
    - 17_composited_fade.patch:
      + nice fadeout on composited display (sent upstream)
    - 18_g_markup_escape_text_for_command.patch:
      + fix missing g_markup_escape when commands are displayed (sent
        upstream)
    - 20_add_usleep.patch:
      + add small usleep() to avoid race condition when the hostname can not
        be resolved (sent upstream)
    - 21_composited_rgba_addition.patch:
      + bling (sent upstream)
    - 22_sudo_keep_env.patch:
      + if gksudo -k is used, pass the -E option to sudo to preserve the
        environment if we're allowed to do so (sent upstream)
    - 23_correct_colormap_get.patch:
      + change by Cody Russell to fix a rgba segfault.
    - 27_sudo_wrong_pwd_check.patch: Be more careful when checking the
      "wrong password" output, there might be a new prompt before.
    - 26_restore_stderr_output.patch:
      + output stderr from the sudo child (as pre-lucid versions did).
    - 25_fix_g_str_has_prefix_assert.patch:
      + fix assert failure when not running in forkpty mode.
    - 29_check_newline.patch:
    - Check if buffer is really a single newline before discarding it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Nov 2012 13:06:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

GNOME_DOWNLOAD_URL = http://people.debian.org/~kov/gksu/$(GNOME_TARBALL)

ALLOWED_DISTS += unstable

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

export AUTOMAKE := automake --foreign

DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --enable-gnome-keyring

clean::
	-test -d po.old && (rm -rf po; mv po.old po)

post-patches::
	if ! test -d po.old; then \
		cp -a po po.old; \
		cp -a debian/pos/* po/; \
		rm po/*gmo po/stamp-po || true; \
	fi

## libgksu 2.0.13~pre1-7linuxmint3

=== debian/changelog ===
libgksu (2.0.13~pre1-7linuxmint3) rosa; urgency=medium

  * Revert "Use su mode by default so the user can save the password to session"

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 14 Nov 2015 16:56:06 +0000

libgksu (2.0.13~pre1-7linuxmint2) rosa; urgency=medium

  * Removed transparency in the password dialog
  * Use su mode by default so the user can save the password to session

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Nov 2015 11:03:55 +0000

## libgksu 2.0.13~pre1-7linuxmint4

=== debian/changelog ===
libgksu (2.0.13~pre1-7linuxmint4) sarah; urgency=medium

  [ tomoe-musashi ]
  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 May 2016 14:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libgksu
 Section: admin
 Priority: optional
-Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Balint Reczey <balint@balintreczey.hu>
-Build-Depends: debhelper (>= 8),
-               dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gustavo Noronha Silva <kov@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: cdbs,
+               debhelper (>= 8),
                libgtk2.0-dev (>= 2.12),
                libgconf2-dev,
                libstartup-notification0-dev,
                libgnome-keyring-dev,
                gettext,
-               autotools-dev,
+               dh-autoreconf,
                gtk-doc-tools,
                gnome-pkg-tools (>= 0.10),
                libgtop2-dev,
@@ -23,15 +23,15 @@
                intltool
 Standards-Version: 3.9.2
 Homepage: http://www.nongnu.org/gksu
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/attic/libgksu/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/attic/libgksu/
+XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/libgksu/
+XS-Debian-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libgksu/
 
 Package: libgksu2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         xauth
+         xauth | xbase-clients
 Recommends: sudo
 Description: library providing su and sudo functionality
  This library comes from the gksu program. It provides a simple

## libgksu 2.0.13~pre1-7linuxmint5

=== debian/changelog ===
libgksu (2.0.13~pre1-7linuxmint5) sonya; urgency=medium

  [ gogogogi ]
  * Add hr.po
  * Update configure.ac
  * Update configure

  [ Clement Lefebvre ]
  * Fix password retry mechanism for locales other than English

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Mar 2017 13:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                libgtk2.0-dev (>= 2.12),

## libgksu 2.0.13~pre3-pearl7

=== debian/changelog ===
libgksu (2.0.13~pre3-pearl7) rolltide; urgency=medium

  * version bump

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 16 Mar 2018 17:52:48 -0500

libgksu (2.0.13~pre1-7linuxmint5+pearl7) rolltide; urgency=medium

  * initial brading build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 16 Mar 2018 17:46:01 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                libgtk2.0-dev (>= 2.12),

## libgksu 2.1.0

=== debian/changelog ===
libgksu (2.1.0) unstable; urgency=medium

  * bump version to match patched gksu - thanks skidoo.
  * format to native

 -- anticapitalista <antix@operamail.com>  Sat, 16 Feb 2019 12:42:04 +0200
 

libgksu (2.0.13~pre1-9) unstable; urgency=medium

  * Pass configure flags properly
  * Set gksu-run-helper's location using configure instead of moving it later
  * Merge patches from Ubuntu:
    - 13_startup_notification.diff
       make startup-notification work more reliable
    - 14_polish_startup.diff:
       improve startup notification message (sent upstream)
    - 18_g_markup_escape_text_for_command.patch:
       fix missing g_markup_escape when commands are displayed
       (sent upstream)
    - 22_sudo_keep_env.patch:
       if gksudo -k is used, pass the -E option to sudo to preserve the
       environment if we're allowed to do so (sent upstream)
    - 27_sudo_wrong_pwd_check.patch: Be more careful when checking the
       "wrong password" output, there might be a new prompt before.
       (Closes: 597020)
    - 29_check_newline.patch:
       Check if buffer is really a single newline before discarding it.
    - Remove call to update-gconf-defaults and use dpkg-trigger to set
      sudo-mode
  * Bump Debhelper compat level to 9

  [ Helmut Grohne ]
  * Fix FTCBFS: Add 24_cross.patch (Closes: #837605)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 26 Sep 2016 23:57:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	touch NEWS README
	dh_autoreconf

override_dh_auto_build:
	cp debian/pos/*.po po/
	dh_auto_build

override_dh_auto_configure:
	dh_auto_configure -- --disable-gtk-doc --libexecdir="\$${prefix}/lib" --libdir="\$${prefix}/lib"

## libgksu 2.1.0antix1

=== debian/changelog ===
libgksu (2.1.0antix1) unstable; urgency=medium

  * antiX bookworm build

 -- anticapitalista <antix@operamail.com>  Wed, 12 Feb 2025 18:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,33 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: libgksu
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 8),
+Maintainer: skidoo <email@redact.ed>
+Uploaders: skidoo <email@redact.ed>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libgtk2.0-dev (>= 2.12),
                libgconf2-dev,
                libstartup-notification0-dev,
                libgnome-keyring-dev,
                gettext,
-               dh-autoreconf,
+               autotools-dev,
                gtk-doc-tools,
                gnome-pkg-tools (>= 0.10),
                libgtop2-dev,
                libglib2.0-doc,
                intltool
 Standards-Version: 3.9.2
-Homepage: http://www.nongnu.org/gksu
-XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/libgksu/
-XS-Debian-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libgksu/
 
 Package: libgksu2-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         xauth | xbase-clients
+         xauth
 Recommends: sudo
 Description: library providing su and sudo functionality
  This library comes from the gksu program. It provides a simple
